Package skyview.survey

# Class CachingImageFactory

java.lang.Object
skyview.survey.CachingImageFactory

All Implemented Interfaces:
  `ImageFactory`

public class CachingImageFactory extends Object implements ImageFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DFT_CACHE`

## Constructor Summary

Constructors
Constructor
Description
`CachingImageFactory()`

## Method Summary

Modifier and Type
Method
Description
`Image`
`factory(String spell)`
Create an image given the appropriate spell
`static String`
`getCachedFileName(String file)`
`static String`
`getSurveySubdir()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DFT_CACHE

public static final String DFT_CACHE

## Constructor Details

### CachingImageFactory

public CachingImageFactory()

## Method Details

### factory

public Image factory(String spell)
Description copied from interface: `ImageFactory`
Create an image given the appropriate spell

Specified by:
  `factory` in interface `ImageFactory`

### getSurveySubdir

public static String getSurveySubdir()

### getCachedFileName

public static String getCachedFileName(String file)